package com.krispot;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.krispot.kricp.KriCP;

public class TestJdbcExp2 {
	private final static KriCP kriCp = new KriCP();
	static {
		try {
			kriCp.setInputStream(TestJdbcExp2.class.getResourceAsStream("db.properties"));
		} catch (Exception e) {
			e.printStackTrace();
		}	
	}
	
	public TestJdbcExp2() throws SQLException {
		Connection con = kriCp.getConnection();
	    PreparedStatement ps = con.prepareStatement("SELECT * FROM USER");
	    ResultSet rs = ps.executeQuery();
	    while(rs.next()) {
	    	System.out.println(rs.getString(1));
	    }	
	}
	
	public static void main(String[] args) throws Exception {
		new TestJdbcExp2();
	}
}

