package com.krispot;

import java.io.StringBufferInputStream;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.krispot.kricp.KriCP;

public class TestJdbcExp3 {
	private final static KriCP kriCp = new KriCP();
	static {
		try {
			StringBuffer sb = new StringBuffer();
				sb.append("kricloud.username=your_kricloud_username\n");
				sb.append("kricloud.dbname=database_name\n");
				sb.append("kricloud.dbuser=database_user_name\n");
				sb.append("kricloud.dbpassword=database_password\n");
				sb.append("local.hostname=localhost\n");
				sb.append("local.port=3306\n");
				sb.append("local.dbname=mysql\n");
				sb.append("local.dbuser=root\n");
				sb.append("local.dbpassword=root\n");
			kriCp.setInputStream(new StringBufferInputStream(sb.toString()));
		} catch (Exception e) {
			e.printStackTrace();
		}	
	}
	
	public TestJdbcExp3() throws SQLException {
		Connection con = kriCp.getConnection();
	    PreparedStatement ps = con.prepareStatement("SELECT * FROM USER");
	    ResultSet rs = ps.executeQuery();
	    while(rs.next()) {
	    	System.out.println(rs.getString(1));
	    }	
	}
	
	public static void main(String[] args) throws Exception {
		new TestJdbcExp3();
	}
}

